Summary: Czech HOWTO
Summary(cs): Czech HOWTO - esk HOWTO strnky
Name: Czech-HOWTO
Version: 1.30
Release: 2
Source: ftp://ftp.penguin.cz/pub/HOWTO/czech-howto/Czech-HOWTO.sgml
Copyright: distributable
Group: Documentation
Group(cs): Dokumentace
Packager: Milan Kerslager <kerslage@linux.cz>
BuildRoot: /tmp/Czech-HOWTO-root
BuildArchitectures: noarch
BuildPrereq: sgml-tools vlna /usr/bin/cslatex
Url: http://www.penguin.cz/czech-howto/

%description
Document describing Linux localization issues specific to Czech and
Slovak users.

%description -l cs
Tento dokument pojednv o tom, jak poetit, posloventit, zkrtka
lokalizovat Linux. Nkter z popsanch postup lze uplatnit i na jin
unixov systmy.

%package txt
Summary: Czech HOWTO (text version)
Summary(cs): Czech HOWTO (textov verze)
Group: Documentation
Group(cs): Dokumentace

%description txt
Document describing Linux localization issues specific
to Czech and Slovak users. Text version.

%description -l cs txt
Tento dokument pojednv o tom, jak poetit, posloventit, zkrtka
lokalizovat Linux. Nkter z popsanch postup lze uplatnit i na jin
unixov systmy. Textov verze dokumentu.

%package dvi
Summary: Czech HOWTO (DVI version)
Summary(cs): Czech HOWTO (DVI verze)
Group: Documentation
Group(cs): Dokumentace

%description dvi
Document describing Linux localization issues specific to Czech and
Slovak users. DVI version.

%description -l cs dvi
Tento dokument pojednv o tom, jak poetit, posloventit, zkrtka
lokalizovat Linux. Nkter z popsanch postup lze uplatnit i na jin
unixov systmy. DVI verze dokumentu.

%package ps
Summary: Czech HOWTO (Postscript version)
Summary(cs): Czech HOWTO (Postscriptov verze)
Group: Documentation
Group(cs): Dokumentace

%description ps
Document describing Linux localization issues specific to Czech and
Slovak users. Postscript version.

%description -l cs ps
Tento dokument pojednv o tom, jak poetit, posloventit, zkrtka
lokalizovat Linux. Nkter z popsanch postup lze uplatnit i na jin
unixov systmy. PostScriptov verze dokumentu.

%package html
Summary: Czech HOWTO (HTML version)
Summary(cs): Czech HOWTO (HTML verze)
Group: Documentation
Group(cs): Dokumentace

%description html
Document describing Linux localization issues specific to Czech and
Slovak users. HTML version.

%description -l cs html
Tento dokument pojednv o tom, jak poetit, posloventit, zkrtka
lokalizovat Linux. Nkter z~popsanch postup lze uplatnit i na jin
unixov systmy. HTML verze dokumentu.


%prep
test -d Czech-HOWTO && rm -rf Czech-HOWTO
mkdir Czech-HOWTO
cd Czech-HOWTO
cp ${RPM_SOURCE_DIR}/Czech-HOWTO.sgml .

%build
cd Czech-HOWTO
sgml2txt -c latin Czech-HOWTO.sgml
sgml2html --language=czech Czech-HOWTO.sgml
for file in *.html
do
  mv $file $file.old
  sed -e '/<HEAD>/a\
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">' $file.old > $file
  rm $file.old
done
ln -s Czech-HOWTO.html index.html
sgml2latex -p a4 -o tex Czech-HOWTO.sgml
mv Czech-HOWTO.tex Czech-HOWTO.tex.old
sed -e s/^\\\\usepackage\\[latin1\\]{inputenc}/\\\\usepackage{czech}/ \
    -e s/^\\\\usepackage{babel}// \
    -e s/^\\\\usepackage{t1enc}// \
    Czech-HOWTO.tex.old > Czech-HOWTO.tex

vlna -l -n -m Czech-HOWTO.tex
cslatex Czech-HOWTO.tex
cslatex Czech-HOWTO.tex
cslatex Czech-HOWTO.tex
dvips -o Czech-HOWTO.ps Czech-HOWTO.dvi


%files txt
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.txt

%files dvi
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.dvi

%files ps
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.ps

%files html
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.html
%doc Czech-HOWTO/Czech-HOWTO-*.html
%doc Czech-HOWTO/index.html
